Vulkan Memory Allocator: VmaVulkanFunctions Struct Reference

Vulkan Memory Allocator

Loading...
Searching...
No Matches
Public Attributes | List of all members
VmaVulkanFunctions Struct Reference
Library initialization

Pointers to some Vulkan functions - a subset used by the library. More...

`#include <vk_mem_alloc.h>`

## Public Attributes
PFN_vkGetInstanceProcAddr | vkGetInstanceProcAddr
| Required when using VMA_DYNAMIC_VULKAN_FUNCTIONS.
PFN_vkGetDeviceProcAddr | vkGetDeviceProcAddr
| Required when using VMA_DYNAMIC_VULKAN_FUNCTIONS.
PFN_vkGetPhysicalDeviceProperties | vkGetPhysicalDeviceProperties
PFN_vkGetPhysicalDeviceMemoryProperties | vkGetPhysicalDeviceMemoryProperties
PFN_vkAllocateMemory | vkAllocateMemory
PFN_vkFreeMemory | vkFreeMemory
PFN_vkMapMemory | vkMapMemory
PFN_vkUnmapMemory | vkUnmapMemory
PFN_vkFlushMappedMemoryRanges | vkFlushMappedMemoryRanges
PFN_vkInvalidateMappedMemoryRanges | vkInvalidateMappedMemoryRanges
PFN_vkBindBufferMemory | vkBindBufferMemory
PFN_vkBindImageMemory | vkBindImageMemory
PFN_vkGetBufferMemoryRequirements | vkGetBufferMemoryRequirements
PFN_vkGetImageMemoryRequirements | vkGetImageMemoryRequirements
PFN_vkCreateBuffer | vkCreateBuffer
PFN_vkDestroyBuffer | vkDestroyBuffer
PFN_vkCreateImage | vkCreateImage
PFN_vkDestroyImage | vkDestroyImage
PFN_vkCmdCopyBuffer | vkCmdCopyBuffer
PFN_vkGetBufferMemoryRequirements2KHR | vkGetBufferMemoryRequirements2KHR
| Fetch "vkGetBufferMemoryRequirements2" on Vulkan >= 1.1, fetch "vkGetBufferMemoryRequirements2KHR" when using VK_KHR_dedicated_allocation extension.
PFN_vkGetImageMemoryRequirements2KHR | vkGetImageMemoryRequirements2KHR
| Fetch "vkGetImageMemoryRequirements2" on Vulkan >= 1.1, fetch "vkGetImageMemoryRequirements2KHR" when using VK_KHR_dedicated_allocation extension.
PFN_vkBindBufferMemory2KHR | vkBindBufferMemory2KHR
| Fetch "vkBindBufferMemory2" on Vulkan >= 1.1, fetch "vkBindBufferMemory2KHR" when using VK_KHR_bind_memory2 extension.
PFN_vkBindImageMemory2KHR | vkBindImageMemory2KHR
| Fetch "vkBindImageMemory2" on Vulkan >= 1.1, fetch "vkBindImageMemory2KHR" when using VK_KHR_bind_memory2 extension.
PFN_vkGetPhysicalDeviceMemoryProperties2KHR | vkGetPhysicalDeviceMemoryProperties2KHR
| Fetch from "vkGetPhysicalDeviceMemoryProperties2" on Vulkan >= 1.1, but you can also fetch it from "vkGetPhysicalDeviceMemoryProperties2KHR" if you enabled extension VK_KHR_get_physical_device_properties2.
PFN_vkGetDeviceBufferMemoryRequirementsKHR | vkGetDeviceBufferMemoryRequirements
| Fetch from "vkGetDeviceBufferMemoryRequirements" on Vulkan >= 1.3, but you can also fetch it from "vkGetDeviceBufferMemoryRequirementsKHR" if you enabled extension VK_KHR_maintenance4.
PFN_vkGetDeviceImageMemoryRequirementsKHR | vkGetDeviceImageMemoryRequirements
| Fetch from "vkGetDeviceImageMemoryRequirements" on Vulkan >= 1.3, but you can also fetch it from "vkGetDeviceImageMemoryRequirementsKHR" if you enabled extension VK_KHR_maintenance4.
PFN_vkGetMemoryWin32HandleKHR | vkGetMemoryWin32HandleKHR

## Detailed Description

Pointers to some Vulkan functions - a subset used by the library.

Used in VmaAllocatorCreateInfo::pVulkanFunctions.

## Member Data Documentation

## ◆ vkAllocateMemory

PFN_vkAllocateMemory VmaVulkanFunctions::vkAllocateMemory

## ◆ vkBindBufferMemory

PFN_vkBindBufferMemory VmaVulkanFunctions::vkBindBufferMemory

## ◆ vkBindBufferMemory2KHR

PFN_vkBindBufferMemory2KHR VmaVulkanFunctions::vkBindBufferMemory2KHR

Fetch "vkBindBufferMemory2" on Vulkan >= 1.1, fetch "vkBindBufferMemory2KHR" when using VK_KHR_bind_memory2 extension.

## ◆ vkBindImageMemory

PFN_vkBindImageMemory VmaVulkanFunctions::vkBindImageMemory

## ◆ vkBindImageMemory2KHR

PFN_vkBindImageMemory2KHR VmaVulkanFunctions::vkBindImageMemory2KHR

Fetch "vkBindImageMemory2" on Vulkan >= 1.1, fetch "vkBindImageMemory2KHR" when using VK_KHR_bind_memory2 extension.

## ◆ vkCmdCopyBuffer

PFN_vkCmdCopyBuffer VmaVulkanFunctions::vkCmdCopyBuffer

## ◆ vkCreateBuffer

PFN_vkCreateBuffer VmaVulkanFunctions::vkCreateBuffer

## ◆ vkCreateImage

PFN_vkCreateImage VmaVulkanFunctions::vkCreateImage

## ◆ vkDestroyBuffer

PFN_vkDestroyBuffer VmaVulkanFunctions::vkDestroyBuffer

## ◆ vkDestroyImage

PFN_vkDestroyImage VmaVulkanFunctions::vkDestroyImage

## ◆ vkFlushMappedMemoryRanges

PFN_vkFlushMappedMemoryRanges VmaVulkanFunctions::vkFlushMappedMemoryRanges

## ◆ vkFreeMemory

PFN_vkFreeMemory VmaVulkanFunctions::vkFreeMemory

## ◆ vkGetBufferMemoryRequirements

PFN_vkGetBufferMemoryRequirements VmaVulkanFunctions::vkGetBufferMemoryRequirements

## ◆ vkGetBufferMemoryRequirements2KHR

PFN_vkGetBufferMemoryRequirements2KHR VmaVulkanFunctions::vkGetBufferMemoryRequirements2KHR

Fetch "vkGetBufferMemoryRequirements2" on Vulkan >= 1.1, fetch "vkGetBufferMemoryRequirements2KHR" when using VK_KHR_dedicated_allocation extension.

## ◆ vkGetDeviceBufferMemoryRequirements

PFN_vkGetDeviceBufferMemoryRequirementsKHR VmaVulkanFunctions::vkGetDeviceBufferMemoryRequirements

Fetch from "vkGetDeviceBufferMemoryRequirements" on Vulkan >= 1.3, but you can also fetch it from "vkGetDeviceBufferMemoryRequirementsKHR" if you enabled extension VK_KHR_maintenance4.

## ◆ vkGetDeviceImageMemoryRequirements

PFN_vkGetDeviceImageMemoryRequirementsKHR VmaVulkanFunctions::vkGetDeviceImageMemoryRequirements

Fetch from "vkGetDeviceImageMemoryRequirements" on Vulkan >= 1.3, but you can also fetch it from "vkGetDeviceImageMemoryRequirementsKHR" if you enabled extension VK_KHR_maintenance4.

## ◆ vkGetDeviceProcAddr

PFN_vkGetDeviceProcAddr VmaVulkanFunctions::vkGetDeviceProcAddr

Required when using VMA_DYNAMIC_VULKAN_FUNCTIONS.

## ◆ vkGetImageMemoryRequirements

PFN_vkGetImageMemoryRequirements VmaVulkanFunctions::vkGetImageMemoryRequirements

## ◆ vkGetImageMemoryRequirements2KHR

PFN_vkGetImageMemoryRequirements2KHR VmaVulkanFunctions::vkGetImageMemoryRequirements2KHR

Fetch "vkGetImageMemoryRequirements2" on Vulkan >= 1.1, fetch "vkGetImageMemoryRequirements2KHR" when using VK_KHR_dedicated_allocation extension.

## ◆ vkGetInstanceProcAddr

PFN_vkGetInstanceProcAddr VmaVulkanFunctions::vkGetInstanceProcAddr

Required when using VMA_DYNAMIC_VULKAN_FUNCTIONS.

## ◆ vkGetMemoryWin32HandleKHR

PFN_vkGetMemoryWin32HandleKHR VmaVulkanFunctions::vkGetMemoryWin32HandleKHR

## ◆ vkGetPhysicalDeviceMemoryProperties

PFN_vkGetPhysicalDeviceMemoryProperties VmaVulkanFunctions::vkGetPhysicalDeviceMemoryProperties

## ◆ vkGetPhysicalDeviceMemoryProperties2KHR

PFN_vkGetPhysicalDeviceMemoryProperties2KHR VmaVulkanFunctions::vkGetPhysicalDeviceMemoryProperties2KHR

Fetch from "vkGetPhysicalDeviceMemoryProperties2" on Vulkan >= 1.1, but you can also fetch it from "vkGetPhysicalDeviceMemoryProperties2KHR" if you enabled extension VK_KHR_get_physical_device_properties2.

## ◆ vkGetPhysicalDeviceProperties

PFN_vkGetPhysicalDeviceProperties VmaVulkanFunctions::vkGetPhysicalDeviceProperties

## ◆ vkInvalidateMappedMemoryRanges

PFN_vkInvalidateMappedMemoryRanges VmaVulkanFunctions::vkInvalidateMappedMemoryRanges

## ◆ vkMapMemory

PFN_vkMapMemory VmaVulkanFunctions::vkMapMemory

## ◆ vkUnmapMemory

PFN_vkUnmapMemory VmaVulkanFunctions::vkUnmapMemory

The documentation for this struct was generated from the following file:

- D:/PROJECTS/Vulkan Memory Allocator/REPO/include/vk_mem_alloc.h